petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetOffset

Sets the index offset of the DA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetOffset(DM da, PetscInt xo, PetscInt yo, PetscInt zo, PetscInt Mo, PetscInt No, PetscInt Po)

Collective on DA Many br

### Input Parameter

| da | - The DMDA Many br
| xo | - The offset in the x direction Many br
| yo | - The offset in the y direction Many br
| zo | - The offset in the z direction Many br

Many br

Notes: This is used primarily to overlap a computation on a local DA with that on a global DA without Many brchanging boundary conditions or subdomain features that depend upon the global offsets. Many br

### Keywords

distributed array, degrees of freedom

### See Also

DMDAGetOffset(), DMDAVecGetArray()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages